Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 503604 - media-video/rtmpdump USE=polarssl fails to build
Summary: media-video/rtmpdump USE=polarssl fails to build
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Markos Chandras (RETIRED)
URL: https://polarssl.org/kb/how-to/migrat...
Whiteboard:
Keywords: STABLE
Depends on:
Blocks: 503610
  Show dependency tree
 
Reported: 2014-03-06 12:17 UTC by Julian Ospald
Modified: 2018-01-15 04:16 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
rtmpdump-2.4_p20131018:20140306-121539.log (rtmpdump-2.4_p20131018:20140306-121539.log,4.52 KB, text/x-log)
2014-03-06 12:17 UTC, Julian Ospald
Details
rtmpdump-2.4_p20131018-fix-build-with-polarssl-1.3.x.patch (rtmpdump-2.4_p20131018-fix-build-with-polarssl-1.3.x.patch,4.15 KB, patch)
2014-03-29 12:23 UTC, Julian Ospald
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Ospald 2014-03-06 12:17:57 UTC
Created attachment 371852 [details]
rtmpdump-2.4_p20131018:20140306-121539.log

Portage 2.2.8-r1 (default/linux/amd64/13.0, gcc-4.8.2, glibc-2.17, 3.12.11-ck1 x86_64)
=================================================================
System uname: Linux-3.12.11-ck1-x86_64-Intel-R-_Core-TM-_i7-4770_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem:    16459504 total,   2783696 free
KiB Swap:     524284 total,    373520 free
Timestamp of tree: Sun, 04 Aug 2013 12:00:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
distcc[18169] (dcc_trace_version) distcc 3.1 x86_64-pc-linux-gnu; built Oct 26 2013 13:41:01 [disabled]
ccache version 3.1.9 [disabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.6.8-r3, 2.7.5-r3, 3.2.5-r3, 3.3.4
dev-util/ccache:          3.1.9-r3
dev-util/cmake:           2.8.11.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.10.3, 1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.7.3-r1, 4.8.2
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo arx-libertatis hasufell sunrise toolchain mrueg gentoo-haskell qt torbrowser crossdev hasufell-overlay hasufell-science
Installed sets: @bleh, @development, @games, @optional, @steam, @test, @xfce
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core-avx2 -O2 -pipe -Wall -g"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/cron.hourly /usr/share/applications /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core-avx2 -O2 -pipe -Wall -g"
DISTDIR="/home/distfiles"
EMERGE_DEFAULT_OPTS="--ignore-built-slot-operator-deps=y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch protect-owned sandbox sfperms sign split-log splitdebug strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userpriv usersandbox usersync webrsync-gpg"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://mirror.netcologne.de/gentoo/ ftp://gentoo.imj.fr/pub/gentoo/ ftp://de-mirror.org/gentoo/"
INSTALL_MASK="/usr/lib/systemd/*"
LANG="de_DE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j8"
PKGDIR="/home/packages"
PORTAGE_COMPRESS="xz"
PORTAGE_COMPRESS_FLAGS="-z -9"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/arx-libertatis /var/lib/layman/hasufell /var/lib/layman/sunrise /var/lib/layman/toolchain /var/lib/layman/mrueg /var/lib/layman/gentoo-haskell /var/lib/layman/qt /var/lib/layman/torbrowser /usr/local/crossdev /usr/local/portage /usr/local/portage-science"
USE="X a52 aac acl acpi alsa amd64 apng bash-completion berkdb bzip2 cairo cdr cli consolekit cracklib crypt cscope css cups cxx dbus dri dv dvd dvdr exif fat ffmpeg flac fontconfig fortran gdbm gif gpm gstreamer hddtemp iconv icq icu ipv6 jabber jpeg jpeg2k lame libnotify lm_sensors matroska mmx modules mp3 mp4 mpeg multilib musepack ncurses nls nptl nsplugin ntfs ogg opengl openmp oscar pam pcre pdf png policykit python qt3support raw readline sdl session sound sse sse2 ssl ssse3 svg tcpd threads tiff timidity truetype udev unicode usb v4l vcd vdpau vim-syntax vnc vorbis wavpack win32codecs wmf x264 xv xvid xvmc zlib" ABI_X86="64 32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev keyboard mouse joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="pdfimport presenter-console presenter-minimizer" LINGUAS="en de" NETBEANS_MODULES="*" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="pypy2_0 python2_6 python2_7 python3_2 python3_3" QEMU_SOFTMMU_TARGETS="arm i386 ppc ppc64 x86_64" QEMU_USER_TARGETS="arm i386 ppc ppc64 x86_64" RUBY_TARGETS="ruby18 ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="nvidia nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.6 2.7 3.2 3.3"
Unset:  CPPFLAGS, CTARGET, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_RSYNC_EXTRA_OPTS, SYNC
Comment 1 Julian Ospald 2014-03-29 12:23:44 UTC
Created attachment 373812 [details, diff]
rtmpdump-2.4_p20131018-fix-build-with-polarssl-1.3.x.patch

fix

!ALSO NOTE!

dependency needs to be net-libs/polarssl[havege]
Comment 2 Markos Chandras (RETIRED) gentoo-dev 2014-04-20 11:27:45 UTC
(In reply to Julian Ospald (hasufell) from comment #1)
> Created attachment 373812 [details, diff] [details, diff]
> rtmpdump-2.4_p20131018-fix-build-with-polarssl-1.3.x.patch
> 

You need to send this patch upstream. I refuse to commit it if upstream hasn't accepted it first.
Comment 3 Julian Ospald 2014-04-20 12:12:12 UTC
then polarssl flag has to be masked or removed in the meantime
Comment 4 Markos Chandras (RETIRED) gentoo-dev 2014-04-20 12:15:19 UTC
(In reply to Julian Ospald (hasufell) from comment #3)
> then polarssl flag has to be masked or removed in the meantime

Do you intend to send this upstream? If so, once fixed upstream we can immediately create a new snapshot ebuild and push for stabilization. But yes, it's probably best to mask the useflag for now
Comment 5 Julian Ospald 2014-04-20 12:17:31 UTC
(In reply to Markos Chandras from comment #4)
> (In reply to Julian Ospald (hasufell) from comment #3192)
> > then polarssl flag has to be masked or removed in the meantime
> 
> Do you intend to send this upstream?

Yes, but there is only an almost dead mailing list and no real bugtracker, unless I missed something.
Comment 6 Markos Chandras (RETIRED) gentoo-dev 2014-04-20 12:23:21 UTC
(In reply to Julian Ospald (hasufell) from comment #5)
> (In reply to Markos Chandras from comment #4)
> > (In reply to Julian Ospald (hasufell) from comment #3192)
> > > then polarssl flag has to be masked or removed in the meantime
> > 
> > Do you intend to send this upstream?
> 
> Yes, but there is only an almost dead mailing list and no real bugtracker,
> unless I missed something.

I suppose the mailing list is the only way. They had a commit in 2014 and several others in 2013 so the project at least seems alive.

masked for now

+  20 Apr 2014; Markos Chandras <hwoarang@gentoo.org> package.use.mask:
+  Mask media-video/rtmpdump[polarssl] because it fails to build with recent
+  polarssl (>=1.3). Bug #503604
+
Comment 7 Larry the Git Cow gentoo-dev 2018-01-15 04:15:30 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b01ba5b1c17186f40b54490d8f901211167da49a

commit b01ba5b1c17186f40b54490d8f901211167da49a
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2018-01-15 04:13:05 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2018-01-15 04:13:05 +0000

    net-libs/polarssl: Removal
    
    Closes: https://github.com/gentoo/gentoo/pull/6124
    Closes: https://bugs.gentoo.org/503782
    Bug: https://bugs.gentoo.org/537108
    Bug: https://bugs.gentoo.org/618354
    Bug: https://bugs.gentoo.org/503604

 net-libs/polarssl/Manifest                         |  1 -
 .../files/polarssl-1.3.9-respect-cflags.patch      | 15 ----
 net-libs/polarssl/metadata.xml                     | 18 ----
 net-libs/polarssl/polarssl-1.3.9-r1.ebuild         | 95 ----------------------
 net-libs/polarssl/polarssl-1.3.9.ebuild            | 92 ---------------------
 profiles/default/linux/package.use.mask            |  4 -
 profiles/package.mask                              |  6 --
 7 files changed, 231 deletions(-)}
Comment 8 Thomas Deutschmann gentoo-dev Security 2018-01-15 04:16:50 UTC
Closing as obsolete -- net-libs/polarssl was removed from the repository.